bitel.billing.server.admin.reports

## Class BGReportFilter

- java.lang.Object
- - ru.bitel.bgbilling.modules.reports.server.bean.filter.BGReportFilter
  - - bitel.billing.server.admin.reports.BGReportFilter

- Deprecated.
  use `BGReportFilter`

      @Deprecated
      public class BGReportFilter
      extends ru.bitel.bgbilling.modules.reports.server.bean.filter.BGReportFilter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BGReportFilter(java.util.Map<java.lang.String,java.lang.Object> parameterMap)` Deprecated.
    `BGReportFilter(java.util.Map<java.lang.String,java.lang.String> filter, Preferences setup)` Deprecated.
    `BGReportFilter(java.util.Map<java.lang.String,java.lang.String> filter, Preferences setup, java.util.Map<java.lang.String,java.lang.Object> parameterMap)` Deprecated.
    `BGReportFilter(java.util.Map<java.lang.String,java.lang.String> filter, Preferences setup, java.util.Map<java.lang.String,java.lang.Object> parameterMap, net.sf.jasperreports.engine.JRDataset dataset)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.modules.reports.server.bean.filter.BGReportFilter

      `cacheGet, cachePut, getCalendarParam, getDataset, getDateParam, getHashValuesWithPrefix, getIntParam, getIntParam, getLongParam, getLongParam, getReportParametersMap, getStringParam, getUserId, setCalendarParam, setStringParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BGReportFilter

          public BGReportFilter(java.util.Map<java.lang.String,java.lang.Object> parameterMap)

      Deprecated.

    - #### BGReportFilter

          public BGReportFilter(java.util.Map<java.lang.String,java.lang.String> filter,
                                Preferences setup,
                                java.util.Map<java.lang.String,java.lang.Object> parameterMap,
                                net.sf.jasperreports.engine.JRDataset dataset)

      Deprecated.

    - #### BGReportFilter

          public BGReportFilter(java.util.Map<java.lang.String,java.lang.String> filter,
                                Preferences setup)

      Deprecated.

    - #### BGReportFilter

          public BGReportFilter(java.util.Map<java.lang.String,java.lang.String> filter,
                                Preferences setup,
                                java.util.Map<java.lang.String,java.lang.Object> parameterMap)

      Deprecated.